#!/usr/bin/python3

import os
import sys
import logging
import argparse

project_path = os.path.realpath(os.path.join(os.path.realpath(__file__), '../../../'))
sys.path.insert(0, project_path)

from rpkglib.preproc import preprocess

log = logging.getLogger(__name__)
log.addHandler(logging.StreamHandler(sys.stdout))
log.setLevel(logging.DEBUG)

parser = argparse.ArgumentParser()

parser.add_argument('--path', default='.')
parser.add_argument('--input', required=True)
parser.add_argument('--output', required=True)
parser.add_argument('--dump-spec-only', action='store_true')
parser.add_argument('--version-bump', action='store_true')
parser.add_argument('--break-on-failure', action='store_true')

args = parser.parse_args()

try:
    preprocess(
        path=args.path,
        input_path=args.input,
        output_path=args.output,
        dump_spec_only=args.dump_spec_only,
        version_bump=args.version_bump,
        break_on_failure=args.break_on_failure,
        app_log=log)

except Exception as e:
    log.error(str(e))
